about summary refs log tree commit diff stats
diff options
context:
space:
mode:
-rw-r--r--CHANGES4
-rw-r--r--aclocal.m431
-rwxr-xr-xconfigure118
-rw-r--r--configure.in4
-rwxr-xr-xscripts/cfg_defs.sh17
-rwxr-xr-xscripts/fixtext.sh3
-rwxr-xr-xscripts/indent.sh138
-rwxr-xr-xscripts/install-cfg.sh52
-rwxr-xr-xscripts/install-lss.sh18
-rwxr-xr-xscripts/man2hlp.sh12
10 files changed, 204 insertions, 193 deletions
diff --git a/CHANGES b/CHANGES
index 0fd9cc30..e4db598f 100644
--- a/CHANGES
+++ b/CHANGES
@@ -1,9 +1,9 @@
--- $LynxId: CHANGES,v 1.1062 2021/01/04 22:47:15 tom Exp $
+-- $LynxId: CHANGES,v 1.1063 2021/01/07 00:19:39 tom Exp $
 ===============================================================================
 Changes since Lynx 2.8 release
 ===============================================================================
 
-2021-01-04 (2.9.0dev.7)
+2021-01-06 (2.9.0dev.7)
 * configure-script improvements -TD
   + various quoting/escaping fixes suggested by shellcheck.
   + improve configure script workaround for unwanted
diff --git a/aclocal.m4 b/aclocal.m4
index c1bb6bd2..77091881 100644
--- a/aclocal.m4
+++ b/aclocal.m4
@@ -1,4 +1,4 @@
-dnl $LynxId: aclocal.m4,v 1.292 2021/01/04 23:07:18 tom Exp $
+dnl $LynxId: aclocal.m4,v 1.293 2021/01/06 23:39:04 tom Exp $
 dnl Macros for auto-configure script.
 dnl by Thomas E. Dickey <dickey@invisible-island.net>
 dnl and Jim Spath <jspath@mail.bcpl.lib.md.us>
@@ -2412,7 +2412,7 @@ AC_SUBST(SHOW_CC)
 AC_SUBST(ECHO_CC)
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_DISABLE_RPATH_HACK version: 2 updated: 2011/02/13 13:31:33
+dnl CF_DISABLE_RPATH_HACK version: 3 updated: 2021/01/05 20:14:44
 dnl ---------------------
 dnl The rpath-hack makes it simpler to build programs, particularly with the
 dnl *BSD ports which may have essential libraries in unusual places.  But it
@@ -2423,15 +2423,18 @@ AC_DEFUN([CF_DISABLE_RPATH_HACK],
 AC_MSG_CHECKING(if rpath-hack should be disabled)
 CF_ARG_DISABLE(rpath-hack,
 	[  --disable-rpath-hack    don't add rpath options for additional libraries],
-	[cf_disable_rpath_hack=yes],
-	[cf_disable_rpath_hack=no])
+	[enable_rpath_hack=no],
+	[enable_rpath_hack=yes])
+dnl TODO - drop cf_disable_rpath_hack
+if test "x$enable_rpath_hack" = xno; then cf_disable_rpath_hack=yes; else cf_disable_rpath_hack=no; fi
 AC_MSG_RESULT($cf_disable_rpath_hack)
-if test "$cf_disable_rpath_hack" = no ; then
+
+if test "$enable_rpath_hack" = yes ; then
 	CF_RPATH_HACK
 fi
 ])
 dnl ---------------------------------------------------------------------------
-dnl CF_ENABLE_WARNINGS version: 8 updated: 2020/12/31 18:40:20
+dnl CF_ENABLE_WARNINGS version: 9 updated: 2021/01/05 19:40:50
 dnl ------------------
 dnl Configure-option to enable gcc warnings
 dnl
@@ -2449,10 +2452,10 @@ CF_FIX_WARNINGS(LDFLAGS)
 AC_MSG_CHECKING(if you want to turn on gcc warnings)
 CF_ARG_ENABLE(warnings,
 	[  --enable-warnings       test: turn on gcc compiler warnings],
-	[with_warnings=yes],
-	[with_warnings=no])
-AC_MSG_RESULT($with_warnings)
-if test "$with_warnings" = "yes"
+	[enable_warnings=yes],
+	[enable_warnings=no])
+AC_MSG_RESULT($enable_warnings)
+if test "$enable_warnings" = "yes"
 then
 	ifelse($2,,[CF_GCC_ATTRIBUTES])
 	CF_GCC_WARNINGS($1)
@@ -4310,7 +4313,7 @@ AC_DEFINE(NCURSES,1,[Define to 1 if we are using ncurses headers/libraries])
 CF_NCURSES_VERSION
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_NCURSES_HEADER version: 6 updated: 2021/01/02 09:31:20
+dnl CF_NCURSES_HEADER version: 7 updated: 2021/01/04 19:33:05
 dnl -----------------
 dnl Find a "curses" header file, e.g,. "curses.h", or one of the more common
 dnl variations of ncurses' installs.
@@ -4337,7 +4340,7 @@ AC_CACHE_CHECK(for $cf_ncuhdr_root include-path, cf_cv_ncurses_h2,[
 			CF_NCURSES_CC_CHECK(cf_cv_ncurses_h2,$cf_header,$1)
 			if test "$cf_cv_ncurses_h2" != no ; then
 				cf_cv_ncurses_h2=$cf_incdir/$cf_header
-				test -n "$verbose" && echo $ac_n "	... found $ac_c" 1>&AC_FD_MSG
+				test -n "$verbose" && echo $ECHO_N "	... found $ECHO_C" 1>&AC_FD_MSG
 				break
 			fi
 			test -n "$verbose" && echo "	... tested $cf_incdir/$cf_header" 1>&AC_FD_MSG
@@ -4637,7 +4640,7 @@ elif test "$cf_cv_ngroups" = NGROUPS_MAX ; then
 fi
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_NO_LEAKS_OPTION version: 7 updated: 2020/12/31 18:40:20
+dnl CF_NO_LEAKS_OPTION version: 8 updated: 2021/01/05 20:05:09
 dnl ------------------
 dnl see CF_WITH_NO_LEAKS
 AC_DEFUN([CF_NO_LEAKS_OPTION],[
@@ -4648,7 +4651,7 @@ AC_ARG_WITH($1,
 	 $4
 ])
 	: "${with_cflags:=-g}"
-	: "${with_no_leaks:=yes}"
+	: "${enable_leaks:=no}"
 	 with_$1=yes],
 	[with_$1=])
 AC_MSG_RESULT(${with_$1:-no})
diff --git a/configure b/configure
index bb575d22..97fac5ae 100755
--- a/configure
+++ b/configure
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.in 2.9.0dev.7.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by Autoconf 2.52.20210101.
+# Generated by Autoconf 2.52.20210105.
 #
 # Copyright 2003-2020,2021	Thomas E. Dickey
 # Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
@@ -895,7 +895,7 @@ This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
 It was created by $as_me, which was
-generated by GNU Autoconf 2.52.20210101.  Invocation command line was
+generated by GNU Autoconf 2.52.20210105.  Invocation command line was
 
   $ $0 $@
 
@@ -2681,7 +2681,7 @@ fi
 done
 test -n "$EGREP" || EGREP=": "
 
-     test "x$ac_cv_path" = "x:" && { { echo "$as_me:2684: error: cannot find workable egrep" >&5
+     test "x$ac_cv_path_EGREP" = "x:" && { { echo "$as_me:2684: error: cannot find workable egrep" >&5
 echo "$as_me: error: cannot find workable egrep" >&2;}
    { (exit 1); exit 1; }; }
    fi
@@ -3134,7 +3134,7 @@ fi
 done
 test -n "$EGREP" || EGREP=": "
 
-     test "x$ac_cv_path" = "x:" && { { echo "$as_me:3137: error: cannot find workable egrep" >&5
+     test "x$ac_cv_path_EGREP" = "x:" && { { echo "$as_me:3137: error: cannot find workable egrep" >&5
 echo "$as_me: error: cannot find workable egrep" >&2;}
    { (exit 1); exit 1; }; }
    fi
@@ -3237,7 +3237,7 @@ fi
 done
 test -n "$FGREP" || FGREP=": "
 
-     test "x$ac_cv_path" = "x:" && { { echo "$as_me:3240: error: cannot find workable fgrep" >&5
+     test "x$ac_cv_path_FGREP" = "x:" && { { echo "$as_me:3240: error: cannot find workable fgrep" >&5
 echo "$as_me: error: cannot find workable fgrep" >&2;}
    { (exit 1); exit 1; }; }
    fi
@@ -5303,18 +5303,18 @@ if test "${enable_warnings+set}" = set; then
   enableval="$enable_warnings"
   test "$enableval" != yes && enableval=no
 	if test "$enableval" != "no" ; then
-    with_warnings=yes
+    enable_warnings=yes
 	else
-		with_warnings=no
+		enable_warnings=no
 	fi
 else
   enableval=no
-	with_warnings=no
+	enable_warnings=no
 
 fi;
-echo "$as_me:5315: result: $with_warnings" >&5
-echo "${ECHO_T}$with_warnings" >&6
-if test "$with_warnings" = "yes"
+echo "$as_me:5315: result: $enable_warnings" >&5
+echo "${ECHO_T}$enable_warnings" >&6
+if test "$enable_warnings" = "yes"
 then
 
 if test "$GCC" = yes || test "$GXX" = yes
@@ -5694,7 +5694,7 @@ cat >>confdefs.h <<EOF
 EOF
 
 	: "${with_cflags:=-g}"
-	: "${with_no_leaks:=yes}"
+	: "${enable_leaks:=no}"
 	 with_dbmalloc=yes
 else
   with_dbmalloc=
@@ -5926,7 +5926,7 @@ cat >>confdefs.h <<EOF
 EOF
 
 	: "${with_cflags:=-g}"
-	: "${with_no_leaks:=yes}"
+	: "${enable_leaks:=no}"
 	 with_dmalloc=yes
 else
   with_dmalloc=
@@ -24310,7 +24310,7 @@ rm -f "conftest.$ac_objext" "conftest.$ac_ext"
 
 			if test "$cf_cv_ncurses_h2" != no ; then
 				cf_cv_ncurses_h2=$cf_incdir/$cf_header
-				test -n "$verbose" && echo $ac_n "	... found $ac_c" 1>&6
+				test -n "$verbose" && echo $ECHO_N "	... found $ECHO_C" 1>&6
 				break
 			fi
 			test -n "$verbose" && echo "	... tested $cf_incdir/$cf_header" 1>&6
@@ -26340,7 +26340,7 @@ rm -f "conftest.$ac_objext" "conftest.$ac_ext"
 
 			if test "$cf_cv_ncurses_h2" != no ; then
 				cf_cv_ncurses_h2=$cf_incdir/$cf_header
-				test -n "$verbose" && echo $ac_n "	... found $ac_c" 1>&6
+				test -n "$verbose" && echo $ECHO_N "	... found $ECHO_C" 1>&6
 				break
 			fi
 			test -n "$verbose" && echo "	... tested $cf_incdir/$cf_header" 1>&6
@@ -47864,30 +47864,32 @@ if test "${enable_rpath_hack+set}" = set; then
   enableval="$enable_rpath_hack"
   test "$enableval" != no && enableval=yes
 	if test "$enableval" != "yes" ; then
-    cf_disable_rpath_hack=yes
+    enable_rpath_hack=no
 	else
-		cf_disable_rpath_hack=no
+		enable_rpath_hack=yes
 	fi
 else
   enableval=yes
-	cf_disable_rpath_hack=no
+	enable_rpath_hack=yes
 
 fi;
-echo "$as_me:47876: result: $cf_disable_rpath_hack" >&5
+if test "x$enable_rpath_hack" = xno; then cf_disable_rpath_hack=yes; else cf_disable_rpath_hack=no; fi
+echo "$as_me:47877: result: $cf_disable_rpath_hack" >&5
 echo "${ECHO_T}$cf_disable_rpath_hack" >&6
-if test "$cf_disable_rpath_hack" = no ; then
 
-echo "$as_me:47880: checking for updated LDFLAGS" >&5
+if test "$enable_rpath_hack" = yes ; then
+
+echo "$as_me:47882: checking for updated LDFLAGS" >&5
 echo $ECHO_N "checking for updated LDFLAGS... $ECHO_C" >&6
 if test -n "$LD_RPATH_OPT" ; then
-	echo "$as_me:47883: result: maybe" >&5
+	echo "$as_me:47885: result: maybe" >&5
 echo "${ECHO_T}maybe" >&6
 
 	for ac_prog in ldd
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:47890: checking for $ac_word" >&5
+echo "$as_me:47892: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_cf_ldd_prog+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -47902,7 +47904,7 @@ for ac_dir in $ac_dummy; do
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_cf_ldd_prog="$ac_prog"
-echo "$as_me:47905: found $ac_dir/$ac_word" >&5
+echo "$as_me:47907: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -47910,10 +47912,10 @@ fi
 fi
 cf_ldd_prog=$ac_cv_prog_cf_ldd_prog
 if test -n "$cf_ldd_prog"; then
-  echo "$as_me:47913: result: $cf_ldd_prog" >&5
+  echo "$as_me:47915: result: $cf_ldd_prog" >&5
 echo "${ECHO_T}$cf_ldd_prog" >&6
 else
-  echo "$as_me:47916: result: no" >&5
+  echo "$as_me:47918: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -47927,7 +47929,7 @@ test -n "$cf_ldd_prog" || cf_ldd_prog="no"
 		cf_rpath_oops=
 
 cat >"conftest.$ac_ext" <<_ACEOF
-#line 47930 "configure"
+#line 47932 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -47939,16 +47941,16 @@ printf("Hello");
 }
 _ACEOF
 rm -f "conftest.$ac_objext" "conftest$ac_exeext"
-if { (eval echo "$as_me:47942: \"$ac_link\"") >&5
+if { (eval echo "$as_me:47944: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:47945: \$? = $ac_status" >&5
+  echo "$as_me:47947: \$? = $ac_status" >&5
   (exit "$ac_status"); } &&
          { ac_try='test -s "conftest$ac_exeext"'
-  { (eval echo "$as_me:47948: \"$ac_try\"") >&5
+  { (eval echo "$as_me:47950: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:47951: \$? = $ac_status" >&5
+  echo "$as_me:47953: \$? = $ac_status" >&5
   (exit "$ac_status"); }; }; then
   cf_rpath_oops=`"$cf_ldd_prog" "conftest$ac_exeext" | ${FGREP-fgrep} ' not found' | sed -e 's% =>.*$%%' |sort | uniq`
 		 cf_rpath_list=`"$cf_ldd_prog" "conftest$ac_exeext" | ${FGREP-fgrep} / | sed -e 's%^.*[ 	]/%/%' -e 's%/[^/][^/]*$%%' |sort | uniq`
@@ -47976,7 +47978,7 @@ rm -f "conftest.$ac_objext" "conftest$ac_exeext" "conftest.$ac_ext"
 					then
 						test -n "$verbose" && echo "	...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src" 1>&6
 
-echo "${as_me:-configure}:47979: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
+echo "${as_me:-configure}:47981: testing ...adding -L$cf_rpath_dir/lib to LDFLAGS for $cf_rpath_src ..." 1>&5
 
 						LDFLAGS="$LDFLAGS -L$cf_rpath_dir/lib"
 						break
@@ -47988,11 +47990,11 @@ echo "${as_me:-configure}:47979: testing ...adding -L$cf_rpath_dir/lib to LDFLAG
 
 	test -n "$verbose" && echo "	...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:47991: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:47993: testing ...checking EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:47995: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:47997: testing ...checking LDFLAGS $LDFLAGS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LDFLAGS
@@ -48029,7 +48031,7 @@ do
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:48032: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:48034: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -48042,11 +48044,11 @@ LDFLAGS=$cf_rpath_dst
 
 test -n "$verbose" && echo "	...checked LDFLAGS $LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:48045: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:48047: testing ...checked LDFLAGS $LDFLAGS ..." 1>&5
 
 test -n "$verbose" && echo "	...checking LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:48049: testing ...checking LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:48051: testing ...checking LIBS $LIBS ..." 1>&5
 
 cf_rpath_dst=
 for cf_rpath_src in $LIBS
@@ -48083,7 +48085,7 @@ do
 			then
 				test -n "$verbose" && echo "	...Filter $cf_rpath_src ->$cf_rpath_tmp" 1>&6
 
-echo "${as_me:-configure}:48086: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
+echo "${as_me:-configure}:48088: testing ...Filter $cf_rpath_src ->$cf_rpath_tmp ..." 1>&5
 
 				EXTRA_LDFLAGS="$cf_rpath_tmp $EXTRA_LDFLAGS"
 			fi
@@ -48096,14 +48098,14 @@ LIBS=$cf_rpath_dst
 
 test -n "$verbose" && echo "	...checked LIBS $LIBS" 1>&6
 
-echo "${as_me:-configure}:48099: testing ...checked LIBS $LIBS ..." 1>&5
+echo "${as_me:-configure}:48101: testing ...checked LIBS $LIBS ..." 1>&5
 
 	test -n "$verbose" && echo "	...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS" 1>&6
 
-echo "${as_me:-configure}:48103: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
+echo "${as_me:-configure}:48105: testing ...checked EXTRA_LDFLAGS $EXTRA_LDFLAGS ..." 1>&5
 
 else
-	echo "$as_me:48106: result: no" >&5
+	echo "$as_me:48108: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -48218,7 +48220,7 @@ DEFS=-DHAVE_CONFIG_H
 : "${CONFIG_STATUS=./config.status}"
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:48221: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:48223: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >"$CONFIG_STATUS" <<_ACEOF
 #! $SHELL
@@ -48352,7 +48354,7 @@ EOF
 cat >>"$CONFIG_STATUS" <<EOF
 ac_cs_version="\\
 config.status
-configured by $0, generated by GNU Autoconf 2.52.20210101,
+configured by $0, generated by GNU Autoconf 2.52.20210105,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
 Copyright 2003-2020,2021	Thomas E. Dickey
@@ -48397,7 +48399,7 @@ cat >>"$CONFIG_STATUS" <<\EOF
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:48400: error: ambiguous option: $1
+    { { echo "$as_me:48402: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -48416,7 +48418,7 @@ Try \`$0 --help' for more information." >&2;}
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:48419: error: unrecognized option: $1
+  -*) { { echo "$as_me:48421: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -48435,7 +48437,7 @@ cat >&5 << _ACEOF
 ## Running config.status.  ##
 ## ----------------------- ##
 
-This file was extended by $as_me 2.52.20210101, executed with
+This file was extended by $as_me 2.52.20210105, executed with
   CONFIG_FILES    = $CONFIG_FILES
   CONFIG_HEADERS  = $CONFIG_HEADERS
   CONFIG_LINKS    = $CONFIG_LINKS
@@ -48469,7 +48471,7 @@ do
   "default-1" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default-1" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "$CONFIG_H" ) CONFIG_HEADERS="$CONFIG_HEADERS $CONFIG_H:config.hin" ;;
-  *) { { echo "$as_me:48472: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:48474: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -48826,7 +48828,7 @@ done; }
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:48829: creating $ac_file" >&5
+    { echo "$as_me:48831: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -48844,7 +48846,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:48847: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:48849: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -48857,7 +48859,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo "$srcdir/$f"
          else
            # /dev/null tree
-           { { echo "$as_me:48860: error: cannot find input file: $f" >&5
+           { { echo "$as_me:48862: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -48873,7 +48875,7 @@ cat >>"$CONFIG_STATUS" <<\EOF
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' "$ac_item"`
         if test -z "$ac_used"; then
-          { echo "$as_me:48876: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:48878: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -48882,7 +48884,7 @@ $ac_seen" >&2;}
       fi
       ac_seen=`grep '${datarootdir}' "$ac_item"`
       if test -n "$ac_seen"; then
-        { echo "$as_me:48885: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:48887: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -48919,7 +48921,7 @@ s,@INSTALL@,$ac_INSTALL,;t t
             ac_init=`${EGREP-egrep} '[ 	]*'$ac_name'[ 	]*=' "$ac_file"`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:48922: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:48924: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -48930,7 +48932,7 @@ $ac_seen" >&2;}
     ${EGREP-egrep} -n '@[A-Z_][A-Z_0-9]+@' "$ac_file" >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:48933: WARNING: Some variables may not be substituted:
+      { echo "$as_me:48935: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -48979,7 +48981,7 @@ for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:48982: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:48984: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -48990,7 +48992,7 @@ echo "$as_me: creating $ac_file" >&6;}
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:48993: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:48995: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -49003,7 +49005,7 @@ echo "$as_me: error: cannot find input file: $f" >&2;}
            echo "$srcdir/$f"
          else
            # /dev/null tree
-           { { echo "$as_me:49006: error: cannot find input file: $f" >&5
+           { { echo "$as_me:49008: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -49121,7 +49123,7 @@ cat >>"$CONFIG_STATUS" <<\EOF
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s "$ac_file" "$tmp/config.h" 2>/dev/null; then
-      { echo "$as_me:49124: $ac_file is unchanged" >&5
+      { echo "$as_me:49126: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
diff --git a/configure.in b/configure.in
index 673c7d89..d8839872 100644
--- a/configure.in
+++ b/configure.in
@@ -1,4 +1,4 @@
-dnl $LynxId: configure.in,v 1.327 2021/01/04 22:45:05 tom Exp $
+dnl $LynxId: configure.in,v 1.328 2021/01/06 23:44:30 tom Exp $
 dnl
 dnl Process this file with autoconf to produce a configure script.
 dnl
@@ -40,7 +40,7 @@ ORIGINAL_CFLAGS="$CFLAGS"
 # run to the next, as well as with tests that are order-dependent.
 rm -f config.cache
 
-AC_PREREQ(2.25.20210101)
+AC_PREREQ(2.25.20210105)
 AC_INIT(userdefs.h)
 
 # autoconf 2.5x defaults to no cache file; we need the cache file's information
diff --git a/scripts/cfg_defs.sh b/scripts/cfg_defs.sh
index 5f37e962..560dfc41 100755
--- a/scripts/cfg_defs.sh
+++ b/scripts/cfg_defs.sh
@@ -1,4 +1,5 @@
 #!/bin/sh
+# $LynxId: cfg_defs.sh,v 1.2 2021/01/07 00:38:05 tom Exp $
 # Translate the lynx_cfg.h and config.cache data into a table, useful for
 # display at runtime.
 
@@ -6,9 +7,10 @@ TOP="${1-.}"
 OUT=cfg_defs.h
 
 # just in case we want to run this outside the makefile
-: ${SHELL:=/bin/sh}
+: "${SHELL:=/bin/sh}"
 
-cat >$OUT <<EOF
+{
+cat <<EOF
 #ifndef CFG_DEFS_H
 #define CFG_DEFS_H 1
 
@@ -23,9 +25,9 @@ sed \
 	-e 's/^.[^=]*_cv_//' \
 	-e 's/=\${.*=/=/'  \
 	-e 's/}$//'          \
-	config.cache | $SHELL $TOP/scripts/cfg_edit.sh >>$OUT
+	config.cache | $SHELL "$TOP/scripts/cfg_edit.sh"
 
-cat >>$OUT <<EOF
+cat <<EOF
 };
 
 static const struct {
@@ -33,16 +35,17 @@ static const struct {
 	const char *value;
 } config_defines[] = {
 EOF
-fgrep	'#define' lynx_cfg.h |
+${FGREP-fgrep}	'#define' lynx_cfg.h |
 sed	-e 's@	@ @g' \
 	-e 's@  @ @g' \
 	-e 's@^[ 	]*#define[ 	]*@@' \
 	-e 's@[ ]*/\*.*\*/@@' \
 	-e 's@[ 	][ 	]*@=@' \
-    | $SHELL $TOP/scripts/cfg_edit.sh >>$OUT
+    | $SHELL "$TOP/scripts/cfg_edit.sh"
 
-cat >>$OUT <<EOF
+cat <<EOF
 };
 
 #endif /* CFG_DEFS_H */
 EOF
+} >$OUT
diff --git a/scripts/fixtext.sh b/scripts/fixtext.sh
index 1f5c1abd..a6f53b6b 100755
--- a/scripts/fixtext.sh
+++ b/scripts/fixtext.sh
@@ -1,4 +1,5 @@
 #!/bin/sh
+# $LynxId: fixtext.sh,v 1.2 2021/01/07 00:21:03 tom Exp $
 
 # xgettext only processes literal strings.  Someone with a poor sense of humor
 # decided to ignore strings in preprocessor lines.  So we construct a fake
@@ -7,4 +8,4 @@
 sed	-e 's/")/");/' \
 	-e 's/^#define[ 	]*\([^ 	]*\)[ 	]*gettext/char *\1 = gettext/' \
 	-e 's,^#define[ 	]*\([^ 	]*\)[ 	]*\\,/* #define \1 */char *\1 = \\,' \
-	$*
+	"$@"
diff --git a/scripts/indent.sh b/scripts/indent.sh
index 506be6a1..89330847 100755
--- a/scripts/indent.sh
+++ b/scripts/indent.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $LynxId: indent.sh,v 1.5 2018/07/08 15:22:44 tom Exp $
+# $LynxId: indent.sh,v 1.6 2021/01/07 00:23:01 tom Exp $
 # Indent LYNX files (for reference).  See "lnx-indent" from
 #	https://invisible-island.net/cindent/
 NOOP=no
@@ -18,85 +18,85 @@ OPTS='
 --space-after-cast
 --space-special-semicolon
 --swallow-optional-blank-lines
--T AddressDefList 
+-T AddressDefList
 -T BOOL
 -T BOOLEAN
--T CSOfield_info 
+-T CSOfield_info
 -T DIR
--T DocAddress 
--T DocInfo 
+-T DocAddress
+-T DocInfo
 -T DocObj
--T EntryInfo 
--T EditFieldData 
+-T EntryInfo
+-T EditFieldData
 -T FILE
--T GCC_NORETURN 
--T GCC_UNUSED 
--T GLOBALREF 
--T GroupDef 
--T GroupDefList 
--T HTAAFailReasonType 
--T HTAAProt 
--T HTAARealm 
--T HTAAServer 
--T HTAssoc 
--T HTAssocList 
--T HTAtom 
--T HTBTElement 
--T HTBTree 
--T HTChildAnchor 
--T HTChunk 
--T HTConverter 
--T HTFormat 
--T HTLine 
--T HTLinkType 
--T HTList 
--T HTParentAnchor 
--T HTParentAnchor0 
--T HTPresentation 
+-T GCC_NORETURN
+-T GCC_UNUSED
+-T GLOBALREF
+-T GroupDef
+-T GroupDefList
+-T HTAAFailReasonType
+-T HTAAProt
+-T HTAARealm
+-T HTAAServer
+-T HTAssoc
+-T HTAssocList
+-T HTAtom
+-T HTBTElement
+-T HTBTree
+-T HTChildAnchor
+-T HTChunk
+-T HTConverter
+-T HTFormat
+-T HTLine
+-T HTLinkType
+-T HTList
+-T HTParentAnchor
+-T HTParentAnchor0
+-T HTPresentation
 -T HTStream
--T HTStyle 
--T HTStyleChange 
--T HTStyleSheet 
--T HText 
--T HyperDoc 
--T InitResponseAPDU 
--T Item 
--T ItemList 
+-T HTStyle
+-T HTStyleChange
+-T HTStyleSheet
+-T HText
+-T HyperDoc
+-T InitResponseAPDU
+-T Item
+-T ItemList
 -T LYNX_ADDRINFO
 -T LYNX_HOSTENT
--T LYUCcharset 
--T LexItem 
--T ProgramPaths 
--T STable_cellinfo 
--T STable_info 
--T STable_rowinfo 
--T STable_states 
--T SearchAPDU 
--T SearchResponseAPDU 
--T TextAnchor 
--T UCode_t 
--T UserDefList 
--T WAISDocumentCodes 
--T WAISDocumentHeader 
--T WAISDocumentHeadlines 
--T WAISDocumentLongHeader 
--T WAISDocumentShortHeader 
--T WAISDocumentText 
--T WAISInitResponse 
--T WAISSearch 
+-T LYUCcharset
+-T LexItem
+-T ProgramPaths
+-T STable_cellinfo
+-T STable_info
+-T STable_rowinfo
+-T STable_states
+-T SearchAPDU
+-T SearchResponseAPDU
+-T TextAnchor
+-T UCode_t
+-T UserDefList
+-T WAISDocumentCodes
+-T WAISDocumentHeader
+-T WAISDocumentHeadlines
+-T WAISDocumentLongHeader
+-T WAISDocumentShortHeader
+-T WAISDocumentText
+-T WAISInitResponse
+-T WAISSearch
 -T _cdecl
--T any 
--T bit_map 
--T boolean 
--T bstring 
+-T any
+-T bit_map
+-T boolean
+-T bstring
 -T data_tag
--T eServerType 
--T lynx_list_item_type 
+-T eServerType
+-T lynx_list_item_type
 -T pdu_type
--T query_term 
+-T query_term
 -nbacc
 '
-for name in $*
+for name in "$@"
 do
 	case $name in
 	-n)	NOOP=yes
@@ -128,9 +128,9 @@ do
 		mv "$test" "$name"
 		rm -f "${name}~"
 		if test $NOOP = yes ; then
-			if ! ( cmp -s "$name" $save )
+			if ! ( cmp -s "$name" "$save" )
 			then
-				diff -u $save "$name"
+				diff -u "$save" "$name"
 			fi
 			mv "$save" "$name"
 			rm -f "${name}~"
diff --git a/scripts/install-cfg.sh b/scripts/install-cfg.sh
index a4228cd7..6faa21a5 100755
--- a/scripts/install-cfg.sh
+++ b/scripts/install-cfg.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $LynxId: install-cfg.sh,v 1.4 2018/03/21 16:20:42 tom Exp $
+# $LynxId: install-cfg.sh,v 1.5 2021/01/07 00:31:20 tom Exp $
 # install lynx.cfg, ensuring the old config-file is saved to a unique file,
 # and prepending customizations to the newly-installed file.
 #
@@ -21,33 +21,35 @@ if test -f "$DST" ; then
 	NEW=lynx-cfg.new
 	TST=lynx-cfg.tst
 	TMP=lynx-cfg.tmp
-	trap "rm -f $OLD $NEW $TST $TMP; exit 9" 1 2 5 15
+	trap 'rm -f $OLD $NEW $TST $TMP; exit 9' INT QUIT TERM HUP
 	rm -f $OLD $NEW $TST $TMP
 
 	# avoid propagating obsolete URLs into new installs
-	echo lynx.isc.org >$TMP
-	echo lynx.browser.org >$TMP
-	echo www.trill-home.com >>$TMP
-	echo www.cc.ukans.edu >>$TMP
-	echo www.ukans.edu >>$TMP
-	echo www.slcc.edu >>$TMP
-	echo sol.slcc.edu >>$TMP
+	{
+		echo lynx.isc.org;
+		echo lynx.browser.org;
+		echo www.trill-home.com;
+		echo www.cc.ukans.edu;
+		echo www.ukans.edu;
+		echo www.slcc.edu;
+		echo sol.slcc.edu;
+	}>$TMP
 
 	# Make a list of the settings which are in the original lynx.cfg
 	# Do not keep the user's HELPFILE setting since we modify that in
 	# a different makefile rule.
-	egrep '^[ 	]*[A-Za-z]' $SRC |sed -e 's/^[ 	]*HELPFILE:.*/HELPFILE:/' >>$TMP
-	egrep '^[ 	]*[A-Za-z]' $SRC |fgrep -v -f $TMP >$OLD
-	egrep '^[ 	]*[A-Za-z]' $DST |fgrep -v -f $TMP >$TST
+	${EGREP-egrep} '^[ 	]*[A-Za-z]' "$SRC" |sed -e 's/^[ 	]*HELPFILE:.*/HELPFILE:/' >>$TMP
+	${EGREP-egrep} '^[ 	]*[A-Za-z]' "$SRC" |${FGREP-fgrep} -v -f $TMP >$OLD
+	${EGREP-egrep} '^[ 	]*[A-Za-z]' "$DST" |${FGREP-fgrep} -v -f $TMP >$TST
 
 	if test -s $TST ; then
 		cat >$TMP <<EOF
 ## The following lines were saved from your previous configuration.
 
 EOF
-		cat $TST >>$TMP
-		cat $SRC >$NEW
-		cat $TMP >>$NEW
+		cat "$TST" >>$TMP
+		cat "$SRC" >$NEW
+		cat "$TMP" >>$NEW
 
 		# See if we have saved this information before (ignoring the
 		# HELPFILE line).
@@ -56,32 +58,32 @@ EOF
 			echo "... installed $DST would not be changed"
 		else
 			NUM=1
-			while test -f ${DST}-${NUM}
+			while test -f "${DST}-${NUM}"
 			do
-				if cmp -s $NEW ${DST}-${NUM}
+				if cmp -s "$NEW" "${DST}-${NUM}"
 				then
 					break
 				fi
-				NUM=`expr $NUM + 1`
+				NUM=`expr "$NUM" + 1`
 			done
-			if test ! -f ${DST}-${NUM}
+			if test ! -f "${DST}-${NUM}"
 			then
 				echo "... saving old config as ${DST}-${NUM}"
-				mv $DST ${DST}-${NUM} || exit 1
+				mv "$DST" "${DST}-${NUM}" || exit 1
 			fi
 			echo "** installing $NEW as $DST"
-			eval $PRG $NEW $DST || exit 1
+			eval "$PRG" "$NEW" "$DST" || exit 1
 		fi
 	else
 		echo "... no customizations found"
 		echo "** installing $SRC as $DST"
-		eval $PRG $SRC $DST || exit 1
+		eval "$PRG" "$SRC" "$DST" || exit 1
 	fi
-	rm -f $SKIP $OLD $NEW $TST $TMP
-elif cmp -s $SRC $DST
+	rm -f "$SKIP" "$OLD" "$NEW" "$TST" "$TMP"
+elif cmp -s "$SRC" "$DST"
 then
 	echo "... installed $DST would not be changed"
 else
 	echo "** installing $SRC as $DST"
-	eval $PRG $SRC $DST || exit 1
+	eval "$PRG" "$SRC" "$DST" || exit 1
 fi
diff --git a/scripts/install-lss.sh b/scripts/install-lss.sh
index 6573a35e..eb9694af 100755
--- a/scripts/install-lss.sh
+++ b/scripts/install-lss.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $LynxId: install-lss.sh,v 1.1 2007/05/13 22:15:29 tom Exp $
+# $LynxId: install-lss.sh,v 1.2 2021/01/07 00:32:39 tom Exp $
 # install lynx.lss, ensuring the old config-file is saved to a backup file.
 #
 # $1 = install program
@@ -11,28 +11,28 @@ DST=$3
 
 if test -f "$DST" ; then
 	# See if we have saved this information before
-	if cmp -s $SRC $DST
+	if cmp -s "$SRC" "$DST"
 	then
 		echo "... installed $DST would not be changed"
 	else
 		NUM=1
-		while test -f ${DST}-${NUM}
+		while test -f "${DST}-${NUM}"
 		do
-			if cmp -s $SRC ${DST}-${NUM}
+			if cmp -s "$SRC" "${DST}-${NUM}"
 			then
 				break
 			fi
-			NUM=`expr $NUM + 1`
+			NUM=`expr "$NUM" + 1`
 		done
-		if test ! -f ${DST}-${NUM}
+		if test ! -f "${DST}-${NUM}"
 		then
 			echo "... saving old config as ${DST}-${NUM}"
-			mv $DST ${DST}-${NUM} || exit 1
+			mv "$DST" "${DST}-${NUM}" || exit 1
 		fi
 		echo "** installing $SRC as $DST"
-		eval $PRG $SRC $DST || exit 1
+		eval "$PRG" "$SRC" "$DST" || exit 1
 	fi
 else
 	echo "** installing $SRC as $DST"
-	eval $PRG $SRC $DST || exit 1
+	eval "$PRG" "$SRC" "$DST" || exit 1
 fi
diff --git a/scripts/man2hlp.sh b/scripts/man2hlp.sh
index fed9b428..cc1653cb 100755
--- a/scripts/man2hlp.sh
+++ b/scripts/man2hlp.sh
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $LynxId: man2hlp.sh,v 1.3 2008/09/10 13:25:45 tom Exp $
+# $LynxId: man2hlp.sh,v 1.4 2021/01/07 00:34:48 tom Exp $
 # This script uses rman (Rosetta Man), which complements TkMan, to strip
 # nroff headers from a manpage file, and format the result into a VMS help
 # file.
@@ -9,13 +9,13 @@ LC_ALL=C;	export LC_ALL
 LC_CTYPE=C;	export LC_CTYPE
 LANGUAGE=C;	export LANGUAGE
 
-for name in $*
+for name in "$@"
 do
-	NAME=`echo $name |sed -e 's/\.man$/.1/'`
-	(echo 1 `echo $NAME | sed -e 's/^.*\///' -e 's/\..*$//' | tr '[a-z]' '[A-Z]'` ; \
-	(echo '.hy 0'; cat $name) |\
+	NAME=`echo "$name" |sed -e 's/\.man$/.1/'`
+	(echo 1 "`echo \"$NAME\" | sed -e 's/^.*\///' -e 's/\..*$//' | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`" ; \
+	(echo '.hy 0'; cat "$name") |\
 	nroff -Tascii -man |\
-	rman -n$NAME |\
+	rman -n"$NAME" |\
 	sed	-e 's/^[1-9].*$//' \
 		-e 's/^\([A-Z]\)/2 \1/' |\
 	uniq)